/* 
    xWinTV using Bt848 frame grabber driver

    Copyright (C) 1998 Moritz Wenk (wenk@mathematik.uni-kl.de)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#ifndef MAIN_H
#define MAIN_H

#ifdef HAVE_CONFIG_H
#include <config.h>  // config.h by configure
#endif

// for debugging
//
// myDEBUG     to debug all    
// sDEBUG      mixer
// tvDEBUG     winTVScreen
// rcDEBUG     rcfile
// vtxDEBUG    vtx
// X11DEBUG    x11-events      
//#define X11DEBUG

// debug everything
// #define myDEBUG // this can be defined with ./configure --enable-debug

// need this to avoid conflicting type declarations in Xmd.h and qglobal.h
#define QT_CLEAN_NAMESPACE  

// this is obsolete and should be removed in later versions!
#define withTVscreen        

// change this values to adjust range and step of mixer slider
#define MIXER_MAX_VALUE 100
#define MIXER_STEP 2

// range is -FINETUNERANGE*4 ... FINETUNERANGE*4
#define FINETUNERANGE 16 

// signal quality must be better than this value to detect a vaild channel
#define SIGQUALITY 0

#define TIMEWAIT 500

#endif MAIN_H










